(*----------------------------------------------------------------------*)
(*          Receive_Kermit_File --- Download file using Kermit          *)
(*----------------------------------------------------------------------*)

OVERLAY PROCEDURE Receive_Kermit_File;

(*----------------------------------------------------------------------*)
(*                                                                      *)
(*     Procedure:  Receive_Kermit_File                                  *)
(*                                                                      *)
(*     Purpose:    Downloads file to PC using Kermit protocol           *)
(*                                                                      *)
(*     Calling Sequence:                                                *)
(*                                                                      *)
(*        Receive_Kermit_File;                                          *)
(*                                                                      *)
(*----------------------------------------------------------------------*)

VAR
   Buffer_Pos    : INTEGER;
   Buffer_Size   : INTEGER;
   Write_Count   : INTEGER;
   Err           : INTEGER;
   Menu_Title    : AnyStr;
   Local_Save    : Saved_Screen_Ptr;
   Local_Save_2  : Saved_Screen_Ptr;
   Kermit_Menu   : Menu_Type;
   I             : INTEGER;
   J             : INTEGER;
   Kermit_Done   : BOOLEAN;
   Menu_Choice   : INTEGER;
   Host_Count    : INTEGER;
   Long_Buffer   : BOOLEAN;
   Buffer_Length : INTEGER;
   Write_Buffer  : File_Handle_Buffer_Ptr;